Google se compromete a impulsar la igualdad racial para las comunidades afrodescendientes. Obtén información al respecto.

Cómo agregar compatibilidad con Android Auto a tu app de música

Tienes que realizar algunos cambios en el manifiesto de tu app para que Android Auto pueda detectar e interactuar con el servicio de exploración de tu app de música.

Establece el valor de targetSdkVersion de tu app

Android Auto requiere que tu app se oriente a Android 5.0 (nivel de API 21) o una versión posterior.

Para especificar este valor en tu proyecto, configura el atributo targetSdkVersion en el elemento uses-sdk en 21 o superior en el archivo AndroidManifest.xml del módulo de tu app de teléfono, como se muestra en el siguiente ejemplo:

    <manifest xmlns:android="http://schemas.android.com/apk/res/android" ... >
        <uses-sdk android:minSdkVersion="4" android:targetSdkVersion="21" />
        ...
    </manifest>
    

Declara la compatibilidad del contenido multimedia con Android Auto

Usa la siguiente entrada del manifiesto para declarar que tu app de teléfono es compatible con Android Auto:

<application>
        ...
        <meta-data android:name="com.google.android.gms.car.application"
            android:resource="@xml/automotive_app_desc"/>
        ...
    <application>
    

Esta entrada de manifiesto hace referencia a un archivo XML que declara con qué capacidades de Automotive es compatible tu app. Para indicar que tienes una app de música, agrega un archivo XML llamado automotive_app_desc.xml al directorio res/xml/ de tu proyecto. Este archivo debe incluir el siguiente contenido:

<automotiveApp>
        <uses name="media"/>
    </automotiveApp>